import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

import { VictoryLine, VictoryChart } from 'Victory';

const row = (d) => {
  d.ADC_1 = +d.ADC_1;
  return d;
};

const App = () => {
  const [data, setData] = useState([]);

  useEffect(() => {
    csv('data.csv', row).then(setData);
  }, []);

  return (    
      <VictoryChart
       style={{ tickLabels: { fontSize: 120 } }}
       width="960"
       height="500"
       domainPadding={50}
       padding={{ top: 10, bottom: 40, left: 80, right: 10 }}>
    <VictoryLine data={data} x="Unix_Timestamp" y="ADC_1"/>
</VictoryChart>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
